<section id="run">
  <div class="container-fluid containerMargin">
    <div class="row">
      <div class="col-md-12 col-sm-12">
        <h2 class="h2-header">
          <button type="button" class="btn btn-default actionButton" style="margin-right: 15px;" ng-click="goToHome()">
            <span class="glyphicon glyphicon-chevron-left button-icon" aria-hidden="true"></span>
            Prev
          </button>
          Fitness Session Start
          <button type="button" class="btn btn-default actionButton" ng-click="goToSessionSummary()"
                  ng-show="runHistoryToPush" style="float: right;">
            <span class="glyphicon glyphicon-list-alt button-icon" aria-hidden="true"></span>
            Session summary
          </button>
        </h2>
      </div> <!-- /col -->
    </div> <!-- /row-->
    <div class="row">
      <div class="col-md-6 col-sm-6">
        <h3 style="margin-top: 5px;">{{trainingProgram.name}}</h3>
      </div> <!-- /col -->
    </div> <!-- /row-->
    <div class="row">
      <div class="col-md-6 col-sm-6">
        {{trainingProgram.description}}
      </div> <!-- /col -->
    </div> <!-- /row-->
    <hr>
    <div class="row" style="padding-top: 10px;">
      <div class="col-md-8 col-sm-8 col-md-offset-2 col-sm-offset-2">
        <li class="list-group-item type-{{currentExercise.type}} noBorder exerciseListItem">
          <h3 class="list-group-item-heading">{{currentExercise.id}} <span style="float:right;">{{currentExercise.time | secondsToDateTime | date:'mm:ss'}}</span></h3>
          <p class="list-group-item-text" style="font-size: 120%;">{{currentExercise.description}}</p>
        </li>
      </div> <!-- /col -->
    </div> <!-- /row-->
    <div class="row" style="padding-top: 10px;">
      <div class="col-md-6 col-sm-6 col-md-offset-3 col-sm-offset-3">
        <div id="horizontalList" ng-style="carouselStyle">
          <li class="list-group-item type-{{exercise.type}} noBorder horizontalElement exerciseListItem" ng-style="slideStyle" ng-repeat="exercise in trainingProgram.exercises">
            <h4 class="list-group-item-heading">{{exercise.id}} <span style="float:right;">{{exercise.time | secondsToDateTime | date:'mm:ss'}}</span></h4>
          </li>
        </div>
      </div> <!-- /col -->
    </div> <!-- /row-->
    <div class="row">
      <div class="col-md-6 col-sm-6">
        <div class="row">
          <div class="col-md-12 col-sm-12"> <!-- nested col -->
            <label class="control-label">Elapsed Time: {{elapsedTime | secondsToDateTime | date:'HH:mm:ss'}}</label>  
          </div> <!-- /nested col -->
        </div> <!-- /nested row-->
        <div class="row" style="padding-top: 10px;" ng-hide="runStatus == 'finished'">
          <div class="col-md-12 col-sm-12"> <!-- nested col -->
            <button type="button" ng-disabled="runStatus == 'running'" class="btn btn-default actionButton" style="margin-right: 10px;" ng-click="startProgram()">
              <span class="glyphicon glyphicon-play button-icon" aria-hidden="true"></span>
              {{(runStatus == 'paused') ? "Resume" : "Start"}}
            </button>
            <button type="button" ng-disabled="!(runStatus == 'running')" class="btn btn-default actionButton" style="margin-right: 10px;" ng-click="pause()">
              <span class="glyphicon glyphicon-pause button-icon" aria-hidden="true"></span>
              Pause
            </button>
            <button type="button" ng-disabled="!(runStatus == 'running' || runStatus == 'paused')" class="btn btn-default actionButton" style="margin-right: 10px;" ng-click="stop()">
              <span class="glyphicon glyphicon-stop button-icon" aria-hidden="true"></span>
              Stop
            </button>  
          </div> <!-- /nested col -->
        </div> <!-- /nested row-->
      </div> <!-- /col -->
      <div class="col-md-6 col-sm-6">
        <div class="row">
          <div class="col-md-12 col-sm-12"> <!-- nested col -->
            <label class="control-label">Exercice Time: {{exerciseTime | secondsToDateTime | date:'HH:mm:ss'}}</label>
          </div> <!-- /nested col -->
        </div> <!-- /nested row-->
        <div class="row" style="padding-top: 10px;" ng-hide="runStatus == 'finished'">
          <div class="col-md-12 col-sm-12"> <!-- nested col -->
            <button type="button" class="btn btn-default actionButton" style="margin-right: 10px;" 
                    ng-disabled="runStatus == 'finished'" ng-click="skip()">
              <span class="glyphicon glyphicon-share-alt button-icon" aria-hidden="true"></span>
              Skip
            </button>
            <div class="btn-group">
              <label class="btn btn-default" ng-model="autoplay" uib-btn-checkbox>
                <span class="glyphicon glyphicon-refresh button-icon" aria-hidden="true"></span>
                Autoplay is {{autoplay ? 'ON' : 'OFF'}}
              </label>
            </div>
          </div> <!-- /nested col -->
        </div> <!-- /nested row-->
      </div> <!-- /col -->
    </div> <!-- /row-->
  </div> <!-- container -->
</section>